[Phpmyadmin-git] [SCM] phpMyAdmin branch, master, updated. RELEASE_3_4_0BETA4-1704-ge269e34

Michal Čihař nijel at users.sourceforge.net
Tue Apr 5 15:30:06 CEST 2011


The branch, master has been updated
       via  e269e34a4fdd0b50af10a81d8646394ffe6905df (commit)
       via  049e97e42a8a99f89c6399c91df8a06c178a1eef (commit)
      from  ed988b257cdad0ea74bfa4fbc105c47524ad0dae (commit)


- Log -----------------------------------------------------------------
commit e269e34a4fdd0b50af10a81d8646394ffe6905df
Author: Michal Čihař <mcihar at novell.com>
Date:   Tue Apr 5 15:23:49 2011 +0200

    Do not fail on 0%

commit 049e97e42a8a99f89c6399c91df8a06c178a1eef
Author: Michal Čihař <mcihar at novell.com>
Date:   Tue Apr 5 15:12:50 2011 +0200

    Make the script fail on error

-----------------------------------------------------------------------

Summary of changes:
 scripts/remove-incomplete-mo |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/scripts/remove-incomplete-mo b/scripts/remove-incomplete-mo
index 79ca24a..ac82b60 100755
--- a/scripts/remove-incomplete-mo
+++ b/scripts/remove-incomplete-mo
@@ -3,6 +3,8 @@
 # Removes mo files for incomplete translations
 #
 
+set -e
+
 #
 # How many percent needs to be translated
 #
@@ -26,7 +28,7 @@ check() {
     else
         UNTRANSLATED=0
     fi
-    PERCENT=`expr 100 \* $TRANSLATED / \( $TRANSLATED + $FUZZY + $UNTRANSLATED \)`
+    PERCENT=`expr 100 \* $TRANSLATED / \( $TRANSLATED + $FUZZY + $UNTRANSLATED \) || true`
 
     if [ $PERCENT -lt $THRESHOLD ] ; then
         echo "Removing $lang, only $PERCENT%"


hooks/post-receive
-- 
phpMyAdmin




More information about the Git mailing list